## Class TDataGridPagerStyle

Description

TDataGridPagerStyle class.

TDataGridPagerStyle specifies the styles available for a datagrid pager.

- since: 3.0
- version: $Id: TDataGridPagerStyle.php 1719 2007-02-21 13:26:18Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataGridPagerStyle.php (line 25)

    TComponent
       |
       --TStyle
          |
          --TPanelStyle
             |
             --TDataGridPagerStyle

Method Summary
void copyFrom (TStyle $style)
TDataGridPagerButtonType getButtonType ()
TDataGridPagerMode getMode ()
string getNextPageText ()
integer getPageButtonCount ()
TDataGridPagerPosition getPosition ()
string getPrevPageText ()
boolean getVisible ()
void mergeWith (TStyle $style)
void reset ()
void setButtonType (TDataGridPagerButtonType $value)
void setMode (TDataGridPagerMode $value)
void setNextPageText (string $value)
void setPageButtonCount (integer $value)
void setPosition (TDataGridPagerPosition $value)
void setPrevPageText (string $value)
void setVisible (boolean $value)
Methods
copyFrom (line 171)

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

- access: public

void copyFrom (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TPanelStyle::copyFrom()
  Copies the fields in a new style to this style.

getButtonType (line 54)

- return: the type of command button. Defaults to TDataGridPagerButtonType::LinkButton.
- access: public

TDataGridPagerButtonType getButtonType ()
getMode (line 38)

- return: pager mode. Defaults to TDataGridPagerMode::NextPrev.
- access: public

TDataGridPagerMode getMode ()
getNextPageText (line 70)

- return: text for the next page button. Defaults to '>'.
- access: public

string getNextPageText ()
getPageButtonCount (line 102)

- return: maximum number of pager buttons to be displayed. Defaults to 10.
- access: public

integer getPageButtonCount ()
getPosition (line 121)

- return: where the pager is to be displayed. Defaults to TDataGridPagerPosition::Bottom.
- access: public

TDataGridPagerPosition getPosition ()
getPrevPageText (line 86)

- return: text for the previous page button. Defaults to '<'.
- access: public

string getPrevPageText ()
getVisible (line 137)

- return: whether the pager is visible. Defaults to true.
- access: public

boolean getVisible ()
mergeWith (line 199)

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

- access: public

void mergeWith (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TPanelStyle::mergeWith()
  Merges the style with a new one.

reset (line 153)

Resets the style to the original empty state.

- access: public

void reset ()

Redefinition of:

TPanelStyle::reset()
  Sets the style attributes to default values.

setButtonType (line 62)

- access: public

void setButtonType (TDataGridPagerButtonType $value)

- TDataGridPagerButtonType $value: the type of command button

setMode (line 46)

- access: public

void setMode (TDataGridPagerMode $value)

- TDataGridPagerMode $value: pager mode.

setNextPageText (line 78)

- access: public

void setNextPageText (string $value)

- string $value: text for the next page button.

setPageButtonCount (line 111)

- access: public
- throws: TInvalidDataValueException if the value is less than 1.

void setPageButtonCount (integer $value)

- integer $value: maximum number of pager buttons to be displayed

setPosition (line 129)

- access: public

void setPosition (TDataGridPagerPosition $value)

- TDataGridPagerPosition $value: where the pager is to be displayed.

setPrevPageText (line 94)

- access: public

void setPrevPageText (string $value)

- string $value: text for the next page button.

setVisible (line 145)

- access: public

void setVisible (boolean $value)

- boolean $value: whether the pager is visible.

#### Inherited Methods

Inherited From TPanelStyle

> TPanelStyle::addAttributesToRender()
> TPanelStyle::copyFrom()
> TPanelStyle::getBackImageUrl()
> TPanelStyle::getDirection()
> TPanelStyle::getHorizontalAlign()
> TPanelStyle::getScrollBars()
> TPanelStyle::getWrap()
> TPanelStyle::mergeWith()
> TPanelStyle::reset()
> TPanelStyle::setBackImageUrl()
> TPanelStyle::setDirection()
> TPanelStyle::setHorizontalAlign()
> TPanelStyle::setScrollBars()
> TPanelStyle::setWrap()

Inherited From TStyle

> TStyle::__construct()
> TStyle::addAttributesToRender()
> TStyle::clearStyleField()
> TStyle::copyFrom()
> TStyle::getBackColor()
> TStyle::getBorderColor()
> TStyle::getBorderStyle()
> TStyle::getBorderWidth()
> TStyle::getCssClass()
> TStyle::getCustomStyle()
> TStyle::getDisplayStyle()
> TStyle::getFont()
> TStyle::getForeColor()
> TStyle::getHeight()
> TStyle::getStyleField()
> TStyle::getStyleFields()
> TStyle::getWidth()
> TStyle::hasCssClass()
> TStyle::hasFont()
> TStyle::hasStyleField()
> TStyle::mergeWith()
> TStyle::reset()
> TStyle::setBackColor()
> TStyle::setBorderColor()
> TStyle::setBorderStyle()
> TStyle::setBorderWidth()
> TStyle::setCssClass()
> TStyle::setCustomStyle()
> TStyle::setDisplayStyle()
> TStyle::setForeColor()
> TStyle::setHeight()
> TStyle::setStyleField()
> TStyle::setWidth()
> TStyle::__clone()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:33 -0400 by phpDocumentor 1.3.0RC4